package com.lovecoding.springboot.demo.demo;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.RequestHandler;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.WebMvcRequestHandler;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
public class SwaggerConfig {

    @Bean
    public Docket getDocket(){
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(getDocketApi())
                .select()
                .apis(RequestHandlerSelectors.basePackage("com.lovecoding"))
                .paths(PathSelectors.any())
                .build();
    }

    public ApiInfo getDocketApi(){
        return new ApiInfoBuilder()
                .title("测试文档")
                .contact("张三")
                .version("1.0")
                .build();
    }

}
